Upgrade to PHP 7.1: Fatal error: require_once(): Failed open in baryonic templat

  • davewx
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 18
  • Thank you received: 0

davewx created the topic: Upgrade to PHP 7.1: Fatal error: require_once(): Failed open in baryonic templat

I'm using J3.91 on 3 sites. Upgrading to PHP7.1 works for 2/3. The third produces this error.
Complete error is: Fatal error: require_once(): Failed opening required '...public_html/libraries/joomla/document/html/renderer/head.php' (include_path='.:/opt/php71/lib/php') in .../public_html/templates/baryonic/error.php on line 78
Here is error.php lines 78 to 82:
require_once(JPATH_LIBRARIES.'/joomla/document/html/renderer/head.php');
$header_renderer = new JDocumentRendererHead($doc);
$header_contents = $header_renderer->render(null);
ob_start();
?>
I'm not a coder, so this is all Greek to me. I suspect I need a tweak to the code. Can anyone help?
Thanks in advance.
#232394
  • Posts: 1465
  • Karma: 48
  • Thank you received: 194

mihaela replied the topic: Upgrade to PHP 7.1: Fatal error: require_once(): Failed open in baryonic templat

Hello,

Please check this solution: crosstec.org/en/forums/49-joomla-templat....html?start=6#230580 .

Also, please check whether you are using the latest version of the baryonic template. If you are not, updating it might resolve the issue.

Let me know whether this helped.

Regards,

Mihaela
#232403
  • davewx
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 18
  • Thank you received: 0

davewx replied the topic: Upgrade to PHP 7.1: Fatal error: require_once(): Failed open in baryonic templat

Unfortunately, it did not work. I get a new error.

Error: 0 - [] operator not supported for strings
You may not be able to visit this page because of:

an out-of-date bookmark/favourite
a search engine that has an out-of-date listing for this site
a mistyped address
you have no access to this page
The requested resource was not found.
An error has occurred while processing your request.
← Home
#232424
  • Posts: 1465
  • Karma: 48
  • Thank you received: 194

mihaela replied the topic: Upgrade to PHP 7.1: Fatal error: require_once(): Failed open in baryonic templat

Hello,

Ok, then please check whether you have the latest Gantry installed.

Let me know which version you have and if it is not up to date, please update it and let me know whether that resolved the issue.

If that doesn't resolve the issue, take a look at this solution also: crosstec.org/en/forums/49-joomla-templat...ith-php7.html#202108

Regards,

Mihaela
#232429
  • davewx
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 18
  • Thank you received: 0

davewx replied the topic: Upgrade to PHP 7.1: Fatal error: require_once(): Failed open in baryonic templat

I have the update engine running and Gantry was recently updated, in the last month, 10/26.

I will check the link.
#232449
  • davewx
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
  • Posts: 18
  • Thank you received: 0

davewx replied the topic: Upgrade to PHP 7.1: Fatal error: require_once(): Failed open in baryonic templat

Gantry is 4.1.37
#232450
Moderators: tomeperica
Time to create page: 0.073 seconds

New Support System

Dear Customers,

Users with active subscription have support priority which will be dona via ServiceDesk (My Account > Raise a ticket).
FREE Support topics will be answered when AND if there is time.

You can check support guidelines here : here

Regards,
Crosstec Team

Community Reward

Help us to create new extensions and plugins! With only $5 you help us a lot and get unlimited download access to all of our products, professional support and even more. Get your reward now!

Read More Here

News and Updates

Get informed about new downloads, updates and more in our News and Updates newsletter.

All Extensions Subscription

Get 1 year access to all of our current and future products and 1 year of professional support -- 99€

No support per domain or website installation limits! Includes all of our current and future Joomla!® extensions, Joomla!® templates for the duration of your membership. This means, by purchasing an All Extensions Subscription you'll have it all covered!

Get it from here

3rd Party Discount - 25% Off

We help you to keep your costs under control. If you are a new member and purchased a form building tool from a different form vendor, then you'll get a 25% discount on our subscription plans.

How to receive the discount:

Send us a quick email to sales@crosstec.org with a proof of purchase (for example a paypal receipt), await payment instructions and enjoy your membership!

Community Reward

Help us to create new extensions and plugins! With only $5 you help us a lot and get unlimited download access to all of our products, professional support and even more. Get your reward now!

Read More Here